repo/gentoo:master commit in: app-containers/crun/
"Arthur Zamarin" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786819184.1420b7291a77f5fc7e827264426aad8381efedfd.arthurzam@gentoo> |
commit: 1420b7291a77f5fc7e827264426aad8381efedfd
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 18:39:44 2026 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 18:39:44 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1420b729
app-containers/crun: add 1.29.1
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
app-containers/crun/Manifest | 1 +
app-containers/crun/crun-1.29.1.ebuild | 87 ++++++++++++++++++++++++++++++++++
2 files changed, 88 insertions(+)
diff --git a/app-containers/crun/Manifest b/app-containers/crun/Manifest
index e96945bc72d7..886972907273 100644
--- a/app-containers/crun/Manifest
+++ b/app-containers/crun/Manifest
@@ -3,3 +3,4 @@ DIST crun-1.20.tar.gz 1787750 BLAKE2B 4f31c21056c6c764c76021d3121dfaa4dd9b91f17d
DIST crun-1.21.tar.gz 1788933 BLAKE2B bc854f8eb24566d608e90b44cb7dd2509b59cf6594eef244839f15beef2d241eab7149aabcf2156694043ab00367e312f58599deb324b85493555958eedaf849 SHA512 dbec4b55645587046a83903822a00b93092b26fdf36d6df9b086674815b53a9a60f907c1611eb9535f3186a03d6e8a98ae6e40e9f4e287855ea17745c3578d4f
DIST crun-1.25.1.tar.gz 1867772 BLAKE2B 8bd15f34d867800838514d6fcc1fe90de5488ad29addb483148ab15027bcebaa7d5eb23dfe9d939679e1f0168c7104e0a3de1eaedc13de898faa1e116761b92f SHA512 46ec1efbd0532c2c531daad770670082bb57c5d11959f328ee6d20c4e4d6ba2a050150883fd01475f94850eb3ee8ce4bc8654f76cee3f83edebf208cd32d1cf8
DIST crun-1.28.tar.gz 1585077 BLAKE2B bc7d7cdaad87ad4131247f07fc947de69c51a7f6f909939f8b3e49035493dc87648d01340d9a1495af3c84741e4a619815ad6c012099fb3391958fdfda1bde8c SHA512 b27af828aaf8d7911669ab2df396ba8e314f6a14e31c7d40e19d79e9ba3f9e301e70e82a1d56def5aef171d2b69ac40ec7624ccd4cfd060f06e7762f801037ec
+DIST crun-1.29.1.tar.gz 1605621 BLAKE2B fb65f471f599a7bcd87fef7a95223a20f7bb3b86f3a71301bcb0dd595071b124154ca1f49173d3b26f34c0fb9034b4baed98c9effa7fcb3504d0a834081e7b1a SHA512 cf3f8fb0051ffb8eae30a1795557796696a67cc9a2e3b788e4a55621c87959f12ad4bb38e0010bcc3ac8e8fc5f3828fc3440a15c65e2190d6bb93472dcf9c64d
diff --git a/app-containers/crun/crun-1.29.1.ebuild b/app-containers/crun/crun-1.29.1.ebuild
new file mode 100644
index 000000000000..089c84dc166e
--- /dev/null
+++ b/app-containers/crun/crun-1.29.1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2019-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit autotools libtool python-any-r1 flag-o-matic toolchain-funcs
+
+DESCRIPTION="Fast and low-memory footprint OCI Container Runtime fully written in C"
+HOMEPAGE="https://github.com/containers/crun"
+
+if [[ "${PV}" == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/containers/${PN}.git"
+else
+ SRC_URI="https://github.com/containers/${PN}/releases/download/${PV}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv"
+fi
+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0"
+IUSE="+bpf +caps criu +seccomp selinux systemd static-libs"
+
+DEPEND="
+ dev-libs/json-c:=
+ sys-kernel/linux-headers
+ caps? ( sys-libs/libcap )
+ criu? ( >=sys-process/criu-3.15 )
+ elibc_musl? ( sys-libs/error-standalone )
+ seccomp? ( sys-libs/libseccomp )
+ systemd? ( sys-apps/systemd:= )
+"
+RDEPEND="${DEPEND}
+ selinux? ( sec-policy/selinux-container )
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ default
+ elibtoolize
+ eautoreconf
+}
+
+src_configure() {
+ if use elibc_musl ; then
+ append-cflags "$($(tc-getPKG_CONFIG) --cflags error-standalone)"
+ append-libs "$($(tc-getPKG_CONFIG) --libs error-standalone)"
+ fi
+ local myeconfargs=(
+ --cache-file="${S}"/config.cache
+ $(use_enable bpf)
+ $(use_enable caps)
+ $(use_enable criu)
+ $(use_enable seccomp)
+ $(use_enable systemd)
+ --enable-shared
+ $(use_enable static-libs static)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_test() {
+ emake check-TESTS -C ./libocispec
+
+ # The crun test suite is comprehensive to the extent that tests will fail
+ # within a sandbox environment, due to the nature of the privileges
+ # required to create linux "containers".
+ local supported_tests=(
+ "tests/tests_libcrun_utils"
+ "tests/tests_libcrun_errors"
+ "tests/tests_libcrun_intelrdt"
+ )
+ emake check-TESTS TESTS="${supported_tests[*]}" CFLAGS="${CFLAGS} -std=gnu17"
+}
+
+src_install() {
+ emake "DESTDIR=${D}" install-exec
+ doman crun.1
+ einstalldocs
+
+ find "${ED}" -name '*.la' -type f -delete || die
+}